import 'package:mc_common_app/extensions/int_extensions.dart';
import 'package:mc_common_app/extensions/string_extensions.dart';
import 'package:mc_common_app/generated/locale_keys.g.dart';
import 'package:mc_common_app/view_models/user_view_model.dart';
import 'package:mc_common_app/widgets/common_widgets/app_bar.dart';
import 'package:mc_common_app/widgets/button/show_fill_button.dart';
import 'package:mc_common_app/widgets/txt_field.dart';
import 'package:easy_localization/easy_localization.dart';
import 'package:flutter/material.dart';
import 'package:provider/provider.dart';

class ChangeMobilePage extends StatefulWidget {
  @override
  State<ChangeMobilePage> createState() => _ChangeMobilePageState();
}

class _ChangeMobilePageState extends State<ChangeMobilePage> {
  int countryID = 1;

  String mobileNo = '';
  String password = '';

  late UserVM userVM;

  @override
  void initState() {
    userVM = Provider.of<UserVM>(context, listen: false);
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: CustomAppBar( isRemoveBackButton: true, title: LocaleKeys.changeMobile.tr()),
      body: SingleChildScrollView(
        child: Container(
          // width: double.infinity,
          // height: double.infinity,
          padding: EdgeInsets.all(20),
          child: Column(
            children: [
              LocaleKeys.enterNewPhoneNumber.tr().toText(height: 23 / 24, fontSize: 24, letterSpacing: -1.44,),
              12.height,
              TxtField(
                hint: LocaleKeys.enterNewPhoneNumber.tr(),
                onChanged: (v) => mobileNo = v,
              ),
              12.height,
              TxtField(
                hint: LocaleKeys.enterCurrentPassword.tr(),
                onChanged: (v) => password = v,
              ),
              20.height,
              ShowFillButton(
                title: LocaleKeys.confirm.tr(),
                maxWidth: double.infinity,
                onPressed: () async {
                  await userVM.changeUserMobile(context, countryID, mobileNo, password);
                },
              ),
            ],
          ),
        ),
      ),
    );
  }
}
